#Hedge Maze message 1
from eventAPI import *
from APIUtils import *

lFlagU = 0

def fireEvent(e):
   global lFlagU
   lFlagU = getTag(e, "lFlagU")
   if (lFlagU != 0):
      return 1
   else:
      showMessage(e, ["Your first impression is that of a lovely garden.  The smell of flowers fills the air and insects buzz about."], optionInput)
      showMessage(e, ["As your senses adjust, you begin to feel that this place may not be very pleasant after all.", "", "The smell of decay, initially masked by the flowers, now begins to reach your senses.  The result is a sickly sweet smell that puts you slightly on edge."], optionInput)
   setTag(e, "lFlagU", 1)
   return 1
